ChartDirector Ver 5.0 (PHP Edition)

BaseChart.dashLineColor

Usage

dashLineColor(color [, patternCode ])

Description

Creates a dash line color.
A dash line color is a dynamic color that switches on and off periodically. When it is used to draw a line, the line will appear as a dash line.
The style of the dash line is defined by a pattern code, which is a 4-byte integer. A value of PPQQRRSS (in hex) means the first PP pixels are turned on, followed by QQ pixels turned off, followed by RR pixels turned on, followed by SS pixels turned off, and then restart from PP again.
ChartDirector comes from several predefined constants for common dash line patterns.

Constant | Value (in Hex) | Dash Line Style
--- | --- | ---
DashLine | 00000505 |
DotLine | 00000202 |
DotDashLine | 05050205 |
AltDashLine | 0A050505 |

Arguments

Argument | Default | Description
--- | --- | ---
color | (Mandatory) | The color to draw the dash line.
patternCode | DashLine | A 4-byte integer representing the style of the dash line.

Return Value

A 32-bit integer representing the dash line color.

© 2009 Advanced Software Engineering Limited. All rights reserved.